PXTREE(1)

NAME
pxtree - display running processes in a tree

SYNOPSIS
pxtree [--debug] [SEARCH]

DESCRIPTION
pxtree lists all running processes in a tree.

Process names are followed by their PIDs in parentheses. If multiple processes have the same names, they will be coalesced into one entry marked with (3×) in bold, where 3 in this case is the number of duplicates.

The optional SEARCH parameter can be:

•   A PID (Process ID)

•   A process name or part of one

•   A user name

Any search hits will be highlighted in bold. All parents and children of all search hits will always be listed.

With the --debug flag, extra log messages are sometimes printed after pxtree finishes.

PROCESS NAMING
pxtree tries to be helpful about naming processes, and avoid printing names of various VMs.

For example, if you do java -jar foo.jar, pxtree will show this process as foo.jar rather than java.

SEE ALSO
px(1), ptop(1)

HOMEPAGE
pxtree lives at http://github.com/walles/px